
package ca.canadapost.cpcdp.pickup.stub.pickuprequest;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MethodOfPaymentType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="MethodOfPaymentType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *     &lt;enumeration value="CreditCard"/>
 *     &lt;enumeration value="Account"/>
 *     &lt;enumeration value="SupplierAccount"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "MethodOfPaymentType")
@XmlEnum
public enum MethodOfPaymentType {

    @XmlEnumValue("CreditCard")
    CREDIT_CARD("CreditCard"),
    @XmlEnumValue("Account")
    ACCOUNT("Account"),
    @XmlEnumValue("SupplierAccount")
    SUPPLIER_ACCOUNT("SupplierAccount");
    private final String value;

    MethodOfPaymentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MethodOfPaymentType fromValue(String v) {
        for (MethodOfPaymentType c: MethodOfPaymentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
