
package ca.canadapost.cpcdp.returns.stub.openreturn;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OpenReturnDetailsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OpenReturnDetailsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="artifacts-remaining" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger"/>
 *         &lt;element name="open-return" type="{http://www.canadapost.ca/ws/soap/openreturn/v2}OpenReturnType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OpenReturnDetailsType", propOrder = {

})
public class OpenReturnDetailsType {

    @XmlElement(name = "artifacts-remaining", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger artifactsRemaining;
    @XmlElement(name = "open-return", required = true)
    protected OpenReturnType openReturn;

    /**
     * Gets the value of the artifactsRemaining property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getArtifactsRemaining() {
        return artifactsRemaining;
    }

    /**
     * Sets the value of the artifactsRemaining property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setArtifactsRemaining(BigInteger value) {
        this.artifactsRemaining = value;
    }

    /**
     * Gets the value of the openReturn property.
     * 
     * @return
     *     possible object is
     *     {@link OpenReturnType }
     *     
     */
    public OpenReturnType getOpenReturn() {
        return openReturn;
    }

    /**
     * Sets the value of the openReturn property.
     * 
     * @param value
     *     allowed object is
     *     {@link OpenReturnType }
     *     
     */
    public void setOpenReturn(OpenReturnType value) {
        this.openReturn = value;
    }

}
