
package ca.canadapost.cpcdp.shipping.stub.manifest;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.shipping.stub.manifest package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.shipping.stub.manifest
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ManifestDetailsType }
     * 
     */
    public ManifestDetailsType createManifestDetailsType() {
        return new ManifestDetailsType();
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link GetManifestDetailsRequest }
     * 
     */
    public GetManifestDetailsRequest createGetManifestDetailsRequest() {
        return new GetManifestDetailsRequest();
    }

    /**
     * Create an instance of {@link GetManifestArtifactIdResponse }
     * 
     */
    public GetManifestArtifactIdResponse createGetManifestArtifactIdResponse() {
        return new GetManifestArtifactIdResponse();
    }

    /**
     * Create an instance of {@link ManifestType }
     * 
     */
    public ManifestType createManifestType() {
        return new ManifestType();
    }

    /**
     * Create an instance of {@link GetManifestsResponse }
     * 
     */
    public GetManifestsResponse createGetManifestsResponse() {
        return new GetManifestsResponse();
    }

    /**
     * Create an instance of {@link ManifestsType }
     * 
     */
    public ManifestsType createManifestsType() {
        return new ManifestsType();
    }

    /**
     * Create an instance of {@link TransmitShipmentsResponse }
     * 
     */
    public TransmitShipmentsResponse createTransmitShipmentsResponse() {
        return new TransmitShipmentsResponse();
    }

    /**
     * Create an instance of {@link GetManifestsRequest }
     * 
     */
    public GetManifestsRequest createGetManifestsRequest() {
        return new GetManifestsRequest();
    }

    /**
     * Create an instance of {@link TransmitShipmentsRequest }
     * 
     */
    public TransmitShipmentsRequest createTransmitShipmentsRequest() {
        return new TransmitShipmentsRequest();
    }

    /**
     * Create an instance of {@link ShipmentTransmitSetType }
     * 
     */
    public ShipmentTransmitSetType createShipmentTransmitSetType() {
        return new ShipmentTransmitSetType();
    }

    /**
     * Create an instance of {@link GetManifestArtifactIdRequest }
     * 
     */
    public GetManifestArtifactIdRequest createGetManifestArtifactIdRequest() {
        return new GetManifestArtifactIdRequest();
    }

    /**
     * Create an instance of {@link GetManifestDetailsResponse }
     * 
     */
    public GetManifestDetailsResponse createGetManifestDetailsResponse() {
        return new GetManifestDetailsResponse();
    }

    /**
     * Create an instance of {@link GroupIDListType }
     * 
     */
    public GroupIDListType createGroupIDListType() {
        return new GroupIDListType();
    }

    /**
     * Create an instance of {@link ManifestAddressType }
     * 
     */
    public ManifestAddressType createManifestAddressType() {
        return new ManifestAddressType();
    }

    /**
     * Create an instance of {@link ExcludedShipmentsType }
     * 
     */
    public ExcludedShipmentsType createExcludedShipmentsType() {
        return new ExcludedShipmentsType();
    }

    /**
     * Create an instance of {@link AddressDetailsType }
     * 
     */
    public AddressDetailsType createAddressDetailsType() {
        return new AddressDetailsType();
    }

    /**
     * Create an instance of {@link ManifestPricingInfoType }
     * 
     */
    public ManifestPricingInfoType createManifestPricingInfoType() {
        return new ManifestPricingInfoType();
    }

    /**
     * Create an instance of {@link ManifestDetailsType.CcReceiptDetails }
     * 
     */
    public ManifestDetailsType.CcReceiptDetails createManifestDetailsTypeCcReceiptDetails() {
        return new ManifestDetailsType.CcReceiptDetails();
    }

    /**
     * Create an instance of {@link ManifestDetailsType.SupplierAccountReceiptDetails }
     * 
     */
    public ManifestDetailsType.SupplierAccountReceiptDetails createManifestDetailsTypeSupplierAccountReceiptDetails() {
        return new ManifestDetailsType.SupplierAccountReceiptDetails();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

}
