
package ca.canadapost.cpcdp.shipping.stub.shipment;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.shipping.stub.shipment package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Link_QNAME = new QName("http://www.canadapost.ca/ws/soap/shipment/v8", "link");
    private final static QName _GroupId_QNAME = new QName("http://www.canadapost.ca/ws/soap/shipment/v8", "group-id");
    private final static QName _TransmitShipment_QNAME = new QName("http://www.canadapost.ca/ws/soap/shipment/v8", "transmit-shipment");
    private final static QName _GroupIdOrTransmitShipment_QNAME = new QName("http://www.canadapost.ca/ws/soap/shipment/v8", "groupIdOrTransmitShipment");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.shipping.stub.shipment
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetShipmentsRequest }
     * 
     */
    public GetShipmentsRequest createGetShipmentsRequest() {
        return new GetShipmentsRequest();
    }

    /**
     * Create an instance of {@link CustomsType }
     * 
     */
    public CustomsType createCustomsType() {
        return new CustomsType();
    }

    /**
     * Create an instance of {@link DeliverySpecType }
     * 
     */
    public DeliverySpecType createDeliverySpecType() {
        return new DeliverySpecType();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType }
     * 
     */
    public ParcelCharacteristicsType createParcelCharacteristicsType() {
        return new ParcelCharacteristicsType();
    }

    /**
     * Create an instance of {@link ShipmentDetailsType }
     * 
     */
    public ShipmentDetailsType createShipmentDetailsType() {
        return new ShipmentDetailsType();
    }

    /**
     * Create an instance of {@link ShipmentDetailsType.ShipmentDetail }
     * 
     */
    public ShipmentDetailsType.ShipmentDetail createShipmentDetailsTypeShipmentDetail() {
        return new ShipmentDetailsType.ShipmentDetail();
    }

    /**
     * Create an instance of {@link ShipmentDetailsType.ShipmentDetail.DeliverySpec }
     * 
     */
    public ShipmentDetailsType.ShipmentDetail.DeliverySpec createShipmentDetailsTypeShipmentDetailDeliverySpec() {
        return new ShipmentDetailsType.ShipmentDetail.DeliverySpec();
    }

    /**
     * Create an instance of {@link ShipmentReceiptType }
     * 
     */
    public ShipmentReceiptType createShipmentReceiptType() {
        return new ShipmentReceiptType();
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link RequestShipmentRefundResponse }
     * 
     */
    public RequestShipmentRefundResponse createRequestShipmentRefundResponse() {
        return new RequestShipmentRefundResponse();
    }

    /**
     * Create an instance of {@link ShipmentRefundRequestInfoType }
     * 
     */
    public ShipmentRefundRequestInfoType createShipmentRefundRequestInfoType() {
        return new ShipmentRefundRequestInfoType();
    }

    /**
     * Create an instance of {@link CreateShipmentRequest }
     * 
     */
    public CreateShipmentRequest createCreateShipmentRequest() {
        return new CreateShipmentRequest();
    }

    /**
     * Create an instance of {@link ShipmentType }
     * 
     */
    public ShipmentType createShipmentType() {
        return new ShipmentType();
    }

    /**
     * Create an instance of {@link GetShipmentsRequest.ShipmentSearchKey }
     * 
     */
    public GetShipmentsRequest.ShipmentSearchKey createGetShipmentsRequestShipmentSearchKey() {
        return new GetShipmentsRequest.ShipmentSearchKey();
    }

    /**
     * Create an instance of {@link LinkType }
     * 
     */
    public LinkType createLinkType() {
        return new LinkType();
    }

    /**
     * Create an instance of {@link GetPublicKeyInfoResponse }
     * 
     */
    public GetPublicKeyInfoResponse createGetPublicKeyInfoResponse() {
        return new GetPublicKeyInfoResponse();
    }

    /**
     * Create an instance of {@link PublicKeyInfoType }
     * 
     */
    public PublicKeyInfoType createPublicKeyInfoType() {
        return new PublicKeyInfoType();
    }

    /**
     * Create an instance of {@link GetShipmentDetailsRequest }
     * 
     */
    public GetShipmentDetailsRequest createGetShipmentDetailsRequest() {
        return new GetShipmentDetailsRequest();
    }

    /**
     * Create an instance of {@link GetShipmentsResponse }
     * 
     */
    public GetShipmentsResponse createGetShipmentsResponse() {
        return new GetShipmentsResponse();
    }

    /**
     * Create an instance of {@link ShipmentsType }
     * 
     */
    public ShipmentsType createShipmentsType() {
        return new ShipmentsType();
    }

    /**
     * Create an instance of {@link VoidShipmentResponse }
     * 
     */
    public VoidShipmentResponse createVoidShipmentResponse() {
        return new VoidShipmentResponse();
    }

    /**
     * Create an instance of {@link Links }
     * 
     */
    public Links createLinks() {
        return new Links();
    }

    /**
     * Create an instance of {@link VoidShipmentRequest }
     * 
     */
    public VoidShipmentRequest createVoidShipmentRequest() {
        return new VoidShipmentRequest();
    }

    /**
     * Create an instance of {@link CreateShipmentResponse }
     * 
     */
    public CreateShipmentResponse createCreateShipmentResponse() {
        return new CreateShipmentResponse();
    }

    /**
     * Create an instance of {@link ShipmentInfoDetailType }
     * 
     */
    public ShipmentInfoDetailType createShipmentInfoDetailType() {
        return new ShipmentInfoDetailType();
    }

    /**
     * Create an instance of {@link GetShipmentReceiptResponse }
     * 
     */
    public GetShipmentReceiptResponse createGetShipmentReceiptResponse() {
        return new GetShipmentReceiptResponse();
    }

    /**
     * Create an instance of {@link GetShipmentRequest }
     * 
     */
    public GetShipmentRequest createGetShipmentRequest() {
        return new GetShipmentRequest();
    }

    /**
     * Create an instance of {@link GetShipmentResponse }
     * 
     */
    public GetShipmentResponse createGetShipmentResponse() {
        return new GetShipmentResponse();
    }

    /**
     * Create an instance of {@link ShipmentInfoType }
     * 
     */
    public ShipmentInfoType createShipmentInfoType() {
        return new ShipmentInfoType();
    }

    /**
     * Create an instance of {@link GetShipmentPriceRequest }
     * 
     */
    public GetShipmentPriceRequest createGetShipmentPriceRequest() {
        return new GetShipmentPriceRequest();
    }

    /**
     * Create an instance of {@link GetPublicKeyInfoRequest }
     * 
     */
    public GetPublicKeyInfoRequest createGetPublicKeyInfoRequest() {
        return new GetPublicKeyInfoRequest();
    }

    /**
     * Create an instance of {@link GetGroupsRequest }
     * 
     */
    public GetGroupsRequest createGetGroupsRequest() {
        return new GetGroupsRequest();
    }

    /**
     * Create an instance of {@link GetShipmentDetailsResponse }
     * 
     */
    public GetShipmentDetailsResponse createGetShipmentDetailsResponse() {
        return new GetShipmentDetailsResponse();
    }

    /**
     * Create an instance of {@link GetGroupsResponse }
     * 
     */
    public GetGroupsResponse createGetGroupsResponse() {
        return new GetGroupsResponse();
    }

    /**
     * Create an instance of {@link GroupsType }
     * 
     */
    public GroupsType createGroupsType() {
        return new GroupsType();
    }

    /**
     * Create an instance of {@link GetShipmentPriceResponse }
     * 
     */
    public GetShipmentPriceResponse createGetShipmentPriceResponse() {
        return new GetShipmentPriceResponse();
    }

    /**
     * Create an instance of {@link ShipmentPriceType }
     * 
     */
    public ShipmentPriceType createShipmentPriceType() {
        return new ShipmentPriceType();
    }

    /**
     * Create an instance of {@link GetShipmentReceiptRequest }
     * 
     */
    public GetShipmentReceiptRequest createGetShipmentReceiptRequest() {
        return new GetShipmentReceiptRequest();
    }

    /**
     * Create an instance of {@link RequestShipmentRefundRequest }
     * 
     */
    public RequestShipmentRefundRequest createRequestShipmentRefundRequest() {
        return new RequestShipmentRefundRequest();
    }

    /**
     * Create an instance of {@link ShipmentRefundRequestType }
     * 
     */
    public ShipmentRefundRequestType createShipmentRefundRequestType() {
        return new ShipmentRefundRequestType();
    }

    /**
     * Create an instance of {@link PricedOptionType }
     * 
     */
    public PricedOptionType createPricedOptionType() {
        return new PricedOptionType();
    }

    /**
     * Create an instance of {@link DestinationAddressDetailsType }
     * 
     */
    public DestinationAddressDetailsType createDestinationAddressDetailsType() {
        return new DestinationAddressDetailsType();
    }

    /**
     * Create an instance of {@link SkuType }
     * 
     */
    public SkuType createSkuType() {
        return new SkuType();
    }

    /**
     * Create an instance of {@link RecipientAddressType }
     * 
     */
    public RecipientAddressType createRecipientAddressType() {
        return new RecipientAddressType();
    }

    /**
     * Create an instance of {@link ReturnSpecType }
     * 
     */
    public ReturnSpecType createReturnSpecType() {
        return new ReturnSpecType();
    }

    /**
     * Create an instance of {@link SettlementInfoType }
     * 
     */
    public SettlementInfoType createSettlementInfoType() {
        return new SettlementInfoType();
    }

    /**
     * Create an instance of {@link RegularShippingParameters }
     * 
     */
    public RegularShippingParameters createRegularShippingParameters() {
        return new RegularShippingParameters();
    }

    /**
     * Create an instance of {@link ReferencesType }
     * 
     */
    public ReferencesType createReferencesType() {
        return new ReferencesType();
    }

    /**
     * Create an instance of {@link PreAuthorizedPaymentType }
     * 
     */
    public PreAuthorizedPaymentType createPreAuthorizedPaymentType() {
        return new PreAuthorizedPaymentType();
    }

    /**
     * Create an instance of {@link NoManifestShippingParameters }
     * 
     */
    public NoManifestShippingParameters createNoManifestShippingParameters() {
        return new NoManifestShippingParameters();
    }

    /**
     * Create an instance of {@link AddressDetailsType }
     * 
     */
    public AddressDetailsType createAddressDetailsType() {
        return new AddressDetailsType();
    }

    /**
     * Create an instance of {@link ArtifactsType }
     * 
     */
    public ArtifactsType createArtifactsType() {
        return new ArtifactsType();
    }

    /**
     * Create an instance of {@link ServiceStandardType }
     * 
     */
    public ServiceStandardType createServiceStandardType() {
        return new ServiceStandardType();
    }

    /**
     * Create an instance of {@link NotificationType }
     * 
     */
    public NotificationType createNotificationType() {
        return new NotificationType();
    }

    /**
     * Create an instance of {@link PrintPreferencesType }
     * 
     */
    public PrintPreferencesType createPrintPreferencesType() {
        return new PrintPreferencesType();
    }

    /**
     * Create an instance of {@link AdjustmentsType }
     * 
     */
    public AdjustmentsType createAdjustmentsType() {
        return new AdjustmentsType();
    }

    /**
     * Create an instance of {@link ReturnRecipientType }
     * 
     */
    public ReturnRecipientType createReturnRecipientType() {
        return new ReturnRecipientType();
    }

    /**
     * Create an instance of {@link DestinationType }
     * 
     */
    public DestinationType createDestinationType() {
        return new DestinationType();
    }

    /**
     * Create an instance of {@link OptionType }
     * 
     */
    public OptionType createOptionType() {
        return new OptionType();
    }

    /**
     * Create an instance of {@link PricedOptionsType }
     * 
     */
    public PricedOptionsType createPricedOptionsType() {
        return new PricedOptionsType();
    }

    /**
     * Create an instance of {@link SenderType }
     * 
     */
    public SenderType createSenderType() {
        return new SenderType();
    }

    /**
     * Create an instance of {@link AdjustmentType }
     * 
     */
    public AdjustmentType createAdjustmentType() {
        return new AdjustmentType();
    }

    /**
     * Create an instance of {@link PreferencesType }
     * 
     */
    public PreferencesType createPreferencesType() {
        return new PreferencesType();
    }

    /**
     * Create an instance of {@link DomesticAddressDetailsType }
     * 
     */
    public DomesticAddressDetailsType createDomesticAddressDetailsType() {
        return new DomesticAddressDetailsType();
    }

    /**
     * Create an instance of {@link ArtifactType }
     * 
     */
    public ArtifactType createArtifactType() {
        return new ArtifactType();
    }

    /**
     * Create an instance of {@link CustomsType.SkuList }
     * 
     */
    public CustomsType.SkuList createCustomsTypeSkuList() {
        return new CustomsType.SkuList();
    }

    /**
     * Create an instance of {@link DeliverySpecType.Options }
     * 
     */
    public DeliverySpecType.Options createDeliverySpecTypeOptions() {
        return new DeliverySpecType.Options();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType.Dimensions }
     * 
     */
    public ParcelCharacteristicsType.Dimensions createParcelCharacteristicsTypeDimensions() {
        return new ParcelCharacteristicsType.Dimensions();
    }

    /**
     * Create an instance of {@link ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options }
     * 
     */
    public ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options createShipmentDetailsTypeShipmentDetailDeliverySpecOptions() {
        return new ShipmentDetailsType.ShipmentDetail.DeliverySpec.Options();
    }

    /**
     * Create an instance of {@link ShipmentReceiptType.CcReceiptDetails }
     * 
     */
    public ShipmentReceiptType.CcReceiptDetails createShipmentReceiptTypeCcReceiptDetails() {
        return new ShipmentReceiptType.CcReceiptDetails();
    }

    /**
     * Create an instance of {@link ShipmentReceiptType.SupplierAccountReceiptDetails }
     * 
     */
    public ShipmentReceiptType.SupplierAccountReceiptDetails createShipmentReceiptTypeSupplierAccountReceiptDetails() {
        return new ShipmentReceiptType.SupplierAccountReceiptDetails();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LinkType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/shipment/v8", name = "link")
    public JAXBElement<LinkType> createLink(LinkType value) {
        return new JAXBElement<LinkType>(_Link_QNAME, LinkType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/shipment/v8", name = "group-id", substitutionHeadNamespace = "http://www.canadapost.ca/ws/soap/shipment/v8", substitutionHeadName = "groupIdOrTransmitShipment")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    public JAXBElement<String> createGroupId(String value) {
        return new JAXBElement<String>(_GroupId_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/shipment/v8", name = "transmit-shipment", substitutionHeadNamespace = "http://www.canadapost.ca/ws/soap/shipment/v8", substitutionHeadName = "groupIdOrTransmitShipment")
    public JAXBElement<Boolean> createTransmitShipment(Boolean value) {
        return new JAXBElement<Boolean>(_TransmitShipment_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.canadapost.ca/ws/soap/shipment/v8", name = "groupIdOrTransmitShipment")
    public JAXBElement<Object> createGroupIdOrTransmitShipment(Object value) {
        return new JAXBElement<Object>(_GroupIdOrTransmitShipment_QNAME, Object.class, null, value);
    }

}
