
package ca.canadapost.cpcdp.shipping.stub.shipment;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ShipmentInfoDetailType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ShipmentInfoDetailType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}CustomerRequestIdType" minOccurs="0"/>
 *         &lt;element name="shipment-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentIDType"/>
 *         &lt;element name="shipment-status" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentStatusType"/>
 *         &lt;element name="tracking-pin" type="{http://www.canadapost.ca/ws/soap/shipment/v8}TrackingPINType" minOccurs="0"/>
 *         &lt;element name="return-tracking-pin" type="{http://www.canadapost.ca/ws/soap/shipment/v8}TrackingPINType" minOccurs="0"/>
 *         &lt;element name="po-number" type="{http://www.canadapost.ca/ws/soap/shipment/v8}PoNumberType" minOccurs="0"/>
 *         &lt;element name="shipment-price" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentPriceType" minOccurs="0"/>
 *         &lt;element name="shipment-receipt" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ShipmentReceiptType" minOccurs="0"/>
 *         &lt;element name="group-id" type="{http://www.canadapost.ca/ws/soap/shipment/v8}GroupIDType" minOccurs="0"/>
 *         &lt;element name="artifacts" type="{http://www.canadapost.ca/ws/soap/shipment/v8}ArtifactsType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShipmentInfoDetailType", propOrder = {

})
public class ShipmentInfoDetailType {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElement(name = "shipment-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shipmentId;
    @XmlElement(name = "shipment-status", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shipmentStatus;
    @XmlElement(name = "tracking-pin")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String trackingPin;
    @XmlElement(name = "return-tracking-pin")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String returnTrackingPin;
    @XmlElement(name = "po-number")
    protected String poNumber;
    @XmlElement(name = "shipment-price")
    protected ShipmentPriceType shipmentPrice;
    @XmlElement(name = "shipment-receipt")
    protected ShipmentReceiptType shipmentReceipt;
    @XmlElement(name = "group-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String groupId;
    @XmlElement(required = true)
    protected ArtifactsType artifacts;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the shipmentId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShipmentId() {
        return shipmentId;
    }

    /**
     * Sets the value of the shipmentId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShipmentId(String value) {
        this.shipmentId = value;
    }

    /**
     * Gets the value of the shipmentStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShipmentStatus() {
        return shipmentStatus;
    }

    /**
     * Sets the value of the shipmentStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShipmentStatus(String value) {
        this.shipmentStatus = value;
    }

    /**
     * Gets the value of the trackingPin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTrackingPin() {
        return trackingPin;
    }

    /**
     * Sets the value of the trackingPin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTrackingPin(String value) {
        this.trackingPin = value;
    }

    /**
     * Gets the value of the returnTrackingPin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReturnTrackingPin() {
        return returnTrackingPin;
    }

    /**
     * Sets the value of the returnTrackingPin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReturnTrackingPin(String value) {
        this.returnTrackingPin = value;
    }

    /**
     * Gets the value of the poNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoNumber() {
        return poNumber;
    }

    /**
     * Sets the value of the poNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoNumber(String value) {
        this.poNumber = value;
    }

    /**
     * Gets the value of the shipmentPrice property.
     * 
     * @return
     *     possible object is
     *     {@link ShipmentPriceType }
     *     
     */
    public ShipmentPriceType getShipmentPrice() {
        return shipmentPrice;
    }

    /**
     * Sets the value of the shipmentPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link ShipmentPriceType }
     *     
     */
    public void setShipmentPrice(ShipmentPriceType value) {
        this.shipmentPrice = value;
    }

    /**
     * Gets the value of the shipmentReceipt property.
     * 
     * @return
     *     possible object is
     *     {@link ShipmentReceiptType }
     *     
     */
    public ShipmentReceiptType getShipmentReceipt() {
        return shipmentReceipt;
    }

    /**
     * Sets the value of the shipmentReceipt property.
     * 
     * @param value
     *     allowed object is
     *     {@link ShipmentReceiptType }
     *     
     */
    public void setShipmentReceipt(ShipmentReceiptType value) {
        this.shipmentReceipt = value;
    }

    /**
     * Gets the value of the groupId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGroupId() {
        return groupId;
    }

    /**
     * Sets the value of the groupId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGroupId(String value) {
        this.groupId = value;
    }

    /**
     * Gets the value of the artifacts property.
     * 
     * @return
     *     possible object is
     *     {@link ArtifactsType }
     *     
     */
    public ArtifactsType getArtifacts() {
        return artifacts;
    }

    /**
     * Sets the value of the artifacts property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArtifactsType }
     *     
     */
    public void setArtifacts(ArtifactsType value) {
        this.artifacts = value;
    }

}
