
package ca.canadapost.cpcdp.pickup.stub.pickuprequest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for PickupDetailsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PickupDetailsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="contract-id" type="{http://www.canadapost.ca/ws/soap/pickuprequest}ContractIDType" minOccurs="0"/>
 *         &lt;element name="pww-flag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="priority-flag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="alternate-address-province" type="{http://www.canadapost.ca/ws/soap/pickuprequest}ProvinceType" minOccurs="0"/>
 *         &lt;element name="alternate-address-postal-code" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PostalCodeType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PickupDetailsType", propOrder = {
    "date",
    "contractId",
    "pwwFlag",
    "priorityFlag",
    "alternateAddressProvince",
    "alternateAddressPostalCode"
})
public class PickupDetailsType {

    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar date;
    @XmlElement(name = "contract-id")
    protected String contractId;
    @XmlElement(name = "pww-flag")
    protected Boolean pwwFlag;
    @XmlElement(name = "priority-flag")
    protected Boolean priorityFlag;
    @XmlElement(name = "alternate-address-province")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String alternateAddressProvince;
    @XmlElement(name = "alternate-address-postal-code")
    protected String alternateAddressPostalCode;

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDate(XMLGregorianCalendar value) {
        this.date = value;
    }

    /**
     * Gets the value of the contractId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContractId() {
        return contractId;
    }

    /**
     * Sets the value of the contractId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContractId(String value) {
        this.contractId = value;
    }

    /**
     * Gets the value of the pwwFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPwwFlag() {
        return pwwFlag;
    }

    /**
     * Sets the value of the pwwFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPwwFlag(Boolean value) {
        this.pwwFlag = value;
    }

    /**
     * Gets the value of the priorityFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPriorityFlag() {
        return priorityFlag;
    }

    /**
     * Sets the value of the priorityFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPriorityFlag(Boolean value) {
        this.priorityFlag = value;
    }

    /**
     * Gets the value of the alternateAddressProvince property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAlternateAddressProvince() {
        return alternateAddressProvince;
    }

    /**
     * Sets the value of the alternateAddressProvince property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAlternateAddressProvince(String value) {
        this.alternateAddressProvince = value;
    }

    /**
     * Gets the value of the alternateAddressPostalCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAlternateAddressPostalCode() {
        return alternateAddressPostalCode;
    }

    /**
     * Sets the value of the alternateAddressPostalCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAlternateAddressPostalCode(String value) {
        this.alternateAddressPostalCode = value;
    }

}
