
package ca.canadapost.cpcdp.returns.stub.authreturn;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for AuthorizedReturnType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthorizedReturnType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="create-public-key" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}boolean">
 *               &lt;pattern value="true"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="create-qr-code" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}boolean">
 *               &lt;pattern value="true"/>
 *               &lt;pattern value="false"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="customer-barcode" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}CustomerBarcodeType" minOccurs="0"/>
 *         &lt;element name="customer-barcode-type" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}CustomerBarcodeDataType" minOccurs="0"/>
 *         &lt;element name="service-code" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}ServiceCodeType"/>
 *         &lt;element name="returner" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}ReturnerType"/>
 *         &lt;element name="receiver" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}ReceiverType"/>
 *         &lt;element name="parcel-characteristics" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}ParcelCharacteristicsType" minOccurs="0"/>
 *         &lt;element name="print-preferences" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}PrintPreferencesType" minOccurs="0"/>
 *         &lt;element name="settlement-info" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}AuthSettlementInfoType" minOccurs="0"/>
 *         &lt;element name="references" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}ReferencesType" minOccurs="0"/>
 *         &lt;element name="notifications" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}NotificationsType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthorizedReturnType", propOrder = {

})
public class AuthorizedReturnType {

    @XmlElement(name = "create-public-key")
    protected Boolean createPublicKey;
    @XmlElement(name = "create-qr-code", defaultValue = "false")
    protected Boolean createQrCode;
    @XmlElement(name = "customer-barcode")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerBarcode;
    @XmlElement(name = "customer-barcode-type")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerBarcodeType;
    @XmlElement(name = "service-code", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String serviceCode;
    @XmlElement(required = true)
    protected ReturnerType returner;
    @XmlElement(required = true)
    protected ReceiverType receiver;
    @XmlElement(name = "parcel-characteristics")
    protected ParcelCharacteristicsType parcelCharacteristics;
    @XmlElement(name = "print-preferences")
    protected PrintPreferencesType printPreferences;
    @XmlElement(name = "settlement-info")
    protected AuthSettlementInfoType settlementInfo;
    protected ReferencesType references;
    protected NotificationsType notifications;

    /**
     * Gets the value of the createPublicKey property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCreatePublicKey() {
        return createPublicKey;
    }

    /**
     * Sets the value of the createPublicKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCreatePublicKey(Boolean value) {
        this.createPublicKey = value;
    }

    /**
     * Gets the value of the createQrCode property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCreateQrCode() {
        return createQrCode;
    }

    /**
     * Sets the value of the createQrCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCreateQrCode(Boolean value) {
        this.createQrCode = value;
    }

    /**
     * Gets the value of the customerBarcode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerBarcode() {
        return customerBarcode;
    }

    /**
     * Sets the value of the customerBarcode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerBarcode(String value) {
        this.customerBarcode = value;
    }

    /**
     * Gets the value of the customerBarcodeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerBarcodeType() {
        return customerBarcodeType;
    }

    /**
     * Sets the value of the customerBarcodeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerBarcodeType(String value) {
        this.customerBarcodeType = value;
    }

    /**
     * Gets the value of the serviceCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceCode() {
        return serviceCode;
    }

    /**
     * Sets the value of the serviceCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceCode(String value) {
        this.serviceCode = value;
    }

    /**
     * Gets the value of the returner property.
     * 
     * @return
     *     possible object is
     *     {@link ReturnerType }
     *     
     */
    public ReturnerType getReturner() {
        return returner;
    }

    /**
     * Sets the value of the returner property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReturnerType }
     *     
     */
    public void setReturner(ReturnerType value) {
        this.returner = value;
    }

    /**
     * Gets the value of the receiver property.
     * 
     * @return
     *     possible object is
     *     {@link ReceiverType }
     *     
     */
    public ReceiverType getReceiver() {
        return receiver;
    }

    /**
     * Sets the value of the receiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReceiverType }
     *     
     */
    public void setReceiver(ReceiverType value) {
        this.receiver = value;
    }

    /**
     * Gets the value of the parcelCharacteristics property.
     * 
     * @return
     *     possible object is
     *     {@link ParcelCharacteristicsType }
     *     
     */
    public ParcelCharacteristicsType getParcelCharacteristics() {
        return parcelCharacteristics;
    }

    /**
     * Sets the value of the parcelCharacteristics property.
     * 
     * @param value
     *     allowed object is
     *     {@link ParcelCharacteristicsType }
     *     
     */
    public void setParcelCharacteristics(ParcelCharacteristicsType value) {
        this.parcelCharacteristics = value;
    }

    /**
     * Gets the value of the printPreferences property.
     * 
     * @return
     *     possible object is
     *     {@link PrintPreferencesType }
     *     
     */
    public PrintPreferencesType getPrintPreferences() {
        return printPreferences;
    }

    /**
     * Sets the value of the printPreferences property.
     * 
     * @param value
     *     allowed object is
     *     {@link PrintPreferencesType }
     *     
     */
    public void setPrintPreferences(PrintPreferencesType value) {
        this.printPreferences = value;
    }

    /**
     * Gets the value of the settlementInfo property.
     * 
     * @return
     *     possible object is
     *     {@link AuthSettlementInfoType }
     *     
     */
    public AuthSettlementInfoType getSettlementInfo() {
        return settlementInfo;
    }

    /**
     * Sets the value of the settlementInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link AuthSettlementInfoType }
     *     
     */
    public void setSettlementInfo(AuthSettlementInfoType value) {
        this.settlementInfo = value;
    }

    /**
     * Gets the value of the references property.
     * 
     * @return
     *     possible object is
     *     {@link ReferencesType }
     *     
     */
    public ReferencesType getReferences() {
        return references;
    }

    /**
     * Sets the value of the references property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReferencesType }
     *     
     */
    public void setReferences(ReferencesType value) {
        this.references = value;
    }

    /**
     * Gets the value of the notifications property.
     * 
     * @return
     *     possible object is
     *     {@link NotificationsType }
     *     
     */
    public NotificationsType getNotifications() {
        return notifications;
    }

    /**
     * Sets the value of the notifications property.
     * 
     * @param value
     *     allowed object is
     *     {@link NotificationsType }
     *     
     */
    public void setNotifications(NotificationsType value) {
        this.notifications = value;
    }

}
