
package ca.canadapost.cpcdp.shipping.stub.manifest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ManifestDetailsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ManifestDetailsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="po-number" type="{http://www.canadapost.ca/ws/soap/manifest/v8}PoNumberType"/>
 *         &lt;element name="final-shipping-point" type="{http://www.canadapost.ca/ws/soap/manifest/v8}PostalCodeType"/>
 *         &lt;element name="shipping-point-name">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;maxLength value="35"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="shipping-point-id" type="{http://www.canadapost.ca/ws/soap/manifest/v8}OutletIDType"/>
 *         &lt;element name="cpc-pickup-indicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="mailed-by-customer" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CustomerIDType"/>
 *         &lt;element name="mailed-on-behalf-of" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CustomerIDType"/>
 *         &lt;element name="paid-by-customer" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CustomerIDType"/>
 *         &lt;element name="customer-ref" type="{http://www.w3.org/2001/XMLSchema}normalizedString" minOccurs="0"/>
 *         &lt;element name="manifest-date" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="manifest-time">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *               &lt;pattern value="\d{2}:\d{2} [a-zA-Z ]+"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="contract-id" type="{http://www.canadapost.ca/ws/soap/manifest/v8}ContractIDType" minOccurs="0"/>
 *         &lt;element name="method-of-payment" type="{http://www.canadapost.ca/ws/soap/manifest/v8}MethodOfPaymentType"/>
 *         &lt;element name="cc-receipt-details" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="merchant-name" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcNameType"/>
 *                   &lt;element name="merchant-url">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="60"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="name-on-card" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcNameType" minOccurs="0"/>
 *                   &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcAuthorizationCodeType"/>
 *                   &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *                   &lt;element name="card-type" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcType"/>
 *                   &lt;element name="currency" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CurrencyType"/>
 *                   &lt;element name="transaction-type">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="44"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="supplier-account-receipt-details" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;all>
 *                   &lt;element name="merchant-name">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="44"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="merchant-url">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="60"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/soap/manifest/v8}AuthorizationCodeType"/>
 *                   &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *                   &lt;element name="supplier-id" type="{http://www.w3.org/2001/XMLSchema}normalizedString"/>
 *                   &lt;element name="currency" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CurrencyType"/>
 *                   &lt;element name="transaction-type">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
 *                         &lt;maxLength value="44"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/all>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="manifest-pricing-info" type="{http://www.canadapost.ca/ws/soap/manifest/v8}ManifestPricingInfoType"/>
 *         &lt;element name="manifest-address" type="{http://www.canadapost.ca/ws/soap/manifest/v8}ManifestAddressType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ManifestDetailsType", propOrder = {

})
public class ManifestDetailsType {

    @XmlElement(name = "po-number", required = true)
    protected String poNumber;
    @XmlElement(name = "final-shipping-point", required = true)
    protected String finalShippingPoint;
    @XmlElement(name = "shipping-point-name", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointName;
    @XmlElement(name = "shipping-point-id", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String shippingPointId;
    @XmlElement(name = "cpc-pickup-indicator")
    protected Boolean cpcPickupIndicator;
    @XmlElement(name = "mailed-by-customer", required = true)
    protected String mailedByCustomer;
    @XmlElement(name = "mailed-on-behalf-of", required = true)
    protected String mailedOnBehalfOf;
    @XmlElement(name = "paid-by-customer", required = true)
    protected String paidByCustomer;
    @XmlElement(name = "customer-ref")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String customerRef;
    @XmlElement(name = "manifest-date", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar manifestDate;
    @XmlElement(name = "manifest-time", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String manifestTime;
    @XmlElement(name = "contract-id")
    protected String contractId;
    @XmlElement(name = "method-of-payment", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String methodOfPayment;
    @XmlElement(name = "cc-receipt-details")
    protected ManifestDetailsType.CcReceiptDetails ccReceiptDetails;
    @XmlElement(name = "supplier-account-receipt-details")
    protected ManifestDetailsType.SupplierAccountReceiptDetails supplierAccountReceiptDetails;
    @XmlElement(name = "manifest-pricing-info", required = true)
    protected ManifestPricingInfoType manifestPricingInfo;
    @XmlElement(name = "manifest-address", required = true)
    protected ManifestAddressType manifestAddress;

    /**
     * Gets the value of the poNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoNumber() {
        return poNumber;
    }

    /**
     * Sets the value of the poNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoNumber(String value) {
        this.poNumber = value;
    }

    /**
     * Gets the value of the finalShippingPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFinalShippingPoint() {
        return finalShippingPoint;
    }

    /**
     * Sets the value of the finalShippingPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFinalShippingPoint(String value) {
        this.finalShippingPoint = value;
    }

    /**
     * Gets the value of the shippingPointName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointName() {
        return shippingPointName;
    }

    /**
     * Sets the value of the shippingPointName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointName(String value) {
        this.shippingPointName = value;
    }

    /**
     * Gets the value of the shippingPointId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShippingPointId() {
        return shippingPointId;
    }

    /**
     * Sets the value of the shippingPointId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShippingPointId(String value) {
        this.shippingPointId = value;
    }

    /**
     * Gets the value of the cpcPickupIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isCpcPickupIndicator() {
        return cpcPickupIndicator;
    }

    /**
     * Sets the value of the cpcPickupIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCpcPickupIndicator(Boolean value) {
        this.cpcPickupIndicator = value;
    }

    /**
     * Gets the value of the mailedByCustomer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailedByCustomer() {
        return mailedByCustomer;
    }

    /**
     * Sets the value of the mailedByCustomer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailedByCustomer(String value) {
        this.mailedByCustomer = value;
    }

    /**
     * Gets the value of the mailedOnBehalfOf property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailedOnBehalfOf() {
        return mailedOnBehalfOf;
    }

    /**
     * Sets the value of the mailedOnBehalfOf property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailedOnBehalfOf(String value) {
        this.mailedOnBehalfOf = value;
    }

    /**
     * Gets the value of the paidByCustomer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaidByCustomer() {
        return paidByCustomer;
    }

    /**
     * Sets the value of the paidByCustomer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaidByCustomer(String value) {
        this.paidByCustomer = value;
    }

    /**
     * Gets the value of the customerRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRef() {
        return customerRef;
    }

    /**
     * Sets the value of the customerRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRef(String value) {
        this.customerRef = value;
    }

    /**
     * Gets the value of the manifestDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getManifestDate() {
        return manifestDate;
    }

    /**
     * Sets the value of the manifestDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setManifestDate(XMLGregorianCalendar value) {
        this.manifestDate = value;
    }

    /**
     * Gets the value of the manifestTime property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getManifestTime() {
        return manifestTime;
    }

    /**
     * Sets the value of the manifestTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setManifestTime(String value) {
        this.manifestTime = value;
    }

    /**
     * Gets the value of the contractId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContractId() {
        return contractId;
    }

    /**
     * Sets the value of the contractId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContractId(String value) {
        this.contractId = value;
    }

    /**
     * Gets the value of the methodOfPayment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMethodOfPayment() {
        return methodOfPayment;
    }

    /**
     * Sets the value of the methodOfPayment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMethodOfPayment(String value) {
        this.methodOfPayment = value;
    }

    /**
     * Gets the value of the ccReceiptDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ManifestDetailsType.CcReceiptDetails }
     *     
     */
    public ManifestDetailsType.CcReceiptDetails getCcReceiptDetails() {
        return ccReceiptDetails;
    }

    /**
     * Sets the value of the ccReceiptDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ManifestDetailsType.CcReceiptDetails }
     *     
     */
    public void setCcReceiptDetails(ManifestDetailsType.CcReceiptDetails value) {
        this.ccReceiptDetails = value;
    }

    /**
     * Gets the value of the supplierAccountReceiptDetails property.
     * 
     * @return
     *     possible object is
     *     {@link ManifestDetailsType.SupplierAccountReceiptDetails }
     *     
     */
    public ManifestDetailsType.SupplierAccountReceiptDetails getSupplierAccountReceiptDetails() {
        return supplierAccountReceiptDetails;
    }

    /**
     * Sets the value of the supplierAccountReceiptDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link ManifestDetailsType.SupplierAccountReceiptDetails }
     *     
     */
    public void setSupplierAccountReceiptDetails(ManifestDetailsType.SupplierAccountReceiptDetails value) {
        this.supplierAccountReceiptDetails = value;
    }

    /**
     * Gets the value of the manifestPricingInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ManifestPricingInfoType }
     *     
     */
    public ManifestPricingInfoType getManifestPricingInfo() {
        return manifestPricingInfo;
    }

    /**
     * Sets the value of the manifestPricingInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ManifestPricingInfoType }
     *     
     */
    public void setManifestPricingInfo(ManifestPricingInfoType value) {
        this.manifestPricingInfo = value;
    }

    /**
     * Gets the value of the manifestAddress property.
     * 
     * @return
     *     possible object is
     *     {@link ManifestAddressType }
     *     
     */
    public ManifestAddressType getManifestAddress() {
        return manifestAddress;
    }

    /**
     * Sets the value of the manifestAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link ManifestAddressType }
     *     
     */
    public void setManifestAddress(ManifestAddressType value) {
        this.manifestAddress = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="merchant-name" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcNameType"/>
     *         &lt;element name="merchant-url">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="60"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="name-on-card" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcNameType" minOccurs="0"/>
     *         &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcAuthorizationCodeType"/>
     *         &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
     *         &lt;element name="card-type" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CcType"/>
     *         &lt;element name="currency" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CurrencyType"/>
     *         &lt;element name="transaction-type">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="44"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class CcReceiptDetails {

        @XmlElement(name = "merchant-name", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String merchantName;
        @XmlElement(name = "merchant-url", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String merchantUrl;
        @XmlElement(name = "name-on-card")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String nameOnCard;
        @XmlElement(name = "auth-code", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String authCode;
        @XmlElement(name = "auth-timestamp", required = true)
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar authTimestamp;
        @XmlElement(name = "card-type", required = true)
        protected CcType cardType;
        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String currency;
        @XmlElement(name = "transaction-type", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String transactionType;

        /**
         * Gets the value of the merchantName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantName() {
            return merchantName;
        }

        /**
         * Sets the value of the merchantName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantName(String value) {
            this.merchantName = value;
        }

        /**
         * Gets the value of the merchantUrl property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantUrl() {
            return merchantUrl;
        }

        /**
         * Sets the value of the merchantUrl property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantUrl(String value) {
            this.merchantUrl = value;
        }

        /**
         * Gets the value of the nameOnCard property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getNameOnCard() {
            return nameOnCard;
        }

        /**
         * Sets the value of the nameOnCard property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setNameOnCard(String value) {
            this.nameOnCard = value;
        }

        /**
         * Gets the value of the authCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAuthCode() {
            return authCode;
        }

        /**
         * Sets the value of the authCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAuthCode(String value) {
            this.authCode = value;
        }

        /**
         * Gets the value of the authTimestamp property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getAuthTimestamp() {
            return authTimestamp;
        }

        /**
         * Sets the value of the authTimestamp property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setAuthTimestamp(XMLGregorianCalendar value) {
            this.authTimestamp = value;
        }

        /**
         * Gets the value of the cardType property.
         * 
         * @return
         *     possible object is
         *     {@link CcType }
         *     
         */
        public CcType getCardType() {
            return cardType;
        }

        /**
         * Sets the value of the cardType property.
         * 
         * @param value
         *     allowed object is
         *     {@link CcType }
         *     
         */
        public void setCardType(CcType value) {
            this.cardType = value;
        }

        /**
         * Gets the value of the currency property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrency() {
            return currency;
        }

        /**
         * Sets the value of the currency property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrency(String value) {
            this.currency = value;
        }

        /**
         * Gets the value of the transactionType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getTransactionType() {
            return transactionType;
        }

        /**
         * Sets the value of the transactionType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setTransactionType(String value) {
            this.transactionType = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;all>
     *         &lt;element name="merchant-name">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="44"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="merchant-url">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="60"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="auth-code" type="{http://www.canadapost.ca/ws/soap/manifest/v8}AuthorizationCodeType"/>
     *         &lt;element name="auth-timestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
     *         &lt;element name="supplier-id" type="{http://www.w3.org/2001/XMLSchema}normalizedString"/>
     *         &lt;element name="currency" type="{http://www.canadapost.ca/ws/soap/manifest/v8}CurrencyType"/>
     *         &lt;element name="transaction-type">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}normalizedString">
     *               &lt;maxLength value="44"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/all>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {

    })
    public static class SupplierAccountReceiptDetails {

        @XmlElement(name = "merchant-name", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String merchantName;
        @XmlElement(name = "merchant-url", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String merchantUrl;
        @XmlElement(name = "auth-code", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String authCode;
        @XmlElement(name = "auth-timestamp", required = true)
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar authTimestamp;
        @XmlElement(name = "supplier-id", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String supplierId;
        @XmlElement(required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String currency;
        @XmlElement(name = "transaction-type", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        protected String transactionType;

        /**
         * Gets the value of the merchantName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantName() {
            return merchantName;
        }

        /**
         * Sets the value of the merchantName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantName(String value) {
            this.merchantName = value;
        }

        /**
         * Gets the value of the merchantUrl property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMerchantUrl() {
            return merchantUrl;
        }

        /**
         * Sets the value of the merchantUrl property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMerchantUrl(String value) {
            this.merchantUrl = value;
        }

        /**
         * Gets the value of the authCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAuthCode() {
            return authCode;
        }

        /**
         * Sets the value of the authCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAuthCode(String value) {
            this.authCode = value;
        }

        /**
         * Gets the value of the authTimestamp property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getAuthTimestamp() {
            return authTimestamp;
        }

        /**
         * Sets the value of the authTimestamp property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setAuthTimestamp(XMLGregorianCalendar value) {
            this.authTimestamp = value;
        }

        /**
         * Gets the value of the supplierId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSupplierId() {
            return supplierId;
        }

        /**
         * Sets the value of the supplierId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSupplierId(String value) {
            this.supplierId = value;
        }

        /**
         * Gets the value of the currency property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrency() {
            return currency;
        }

        /**
         * Sets the value of the currency property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrency(String value) {
            this.currency = value;
        }

        /**
         * Gets the value of the transactionType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getTransactionType() {
            return transactionType;
        }

        /**
         * Sets the value of the transactionType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setTransactionType(String value) {
            this.transactionType = value;
        }

    }

}
